/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-22 15:28:49.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.impl;

import cn.com.qmth.examcloud.core.print.common.jpa.SearchBuilder;
import cn.com.qmth.examcloud.core.print.common.jpa.SpecUtils;
import cn.com.qmth.examcloud.core.print.entity.PrintingTemplate;
import cn.com.qmth.examcloud.core.print.repository.PrintingTemplateRepository;
import cn.com.qmth.examcloud.core.print.service.PrintingTemplateService;
import cn.com.qmth.examcloud.core.print.service.bean.printingtemplate.PrintingTemplateConvert;
import cn.com.qmth.examcloud.core.print.service.bean.printingtemplate.PrintingTemplateInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author: fengdesheng
 * @since: 2018/10/30
 */
@Service
public class PrintingTemplateServiceImpl implements PrintingTemplateService {
    @Autowired
    private PrintingTemplateRepository printingTemplateRepository;

    @Override
    public List<PrintingTemplateInfo> getPrintingTemplateList(Long orgId, Long examId) {
        SearchBuilder searches = new SearchBuilder()
                .eq("orgId", orgId)
                .eq("examId", examId);
        Specification<PrintingTemplate> spec = SpecUtils.buildSearchers(PrintingTemplate.class, searches.build());
        List<PrintingTemplate> list = printingTemplateRepository.findAll(spec);
        return PrintingTemplateConvert.fillMoreTypes(list);
    }

    @Override
    public PrintingTemplateInfo getPrintingTemplateById(Long id) {
        return null;
    }

}